typedef CallbackActionBool = Callback<bool>;
typedef CallbackActionString = Callback<String>;
typedef Callback<T> = CallbackReturn<void, T>;
typedef CallbackReturn<R, I> = R Function(I data);
typedef Json = Map<String, dynamic>;
extension JsonEncode on Json {
  Json toJson() {
    return this;
  }
}